# Get token information Gets token information given a card ID and token ID in the path. **Notes**: * This is a PCI endpoint, use the https://gw-pci.pismolabs.io/cards-tokenization environment. * This endpoint takes an account token - an access token encoded with a Pismo account ID. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Card issuing - Tokenization", "description": "API endpoints for card tokenization.", "version": "1.0.0", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://gw-pci.pismolabs.io/cards-tokenization", "description": "PCI API server for testing" }, { "url": "https://pci.pismolabs.io/cards-tokenization", "description": "Sandbox API server for testing" } ], "tags": [ { "name": "Token lifecycle", "description": "Token lifecycle endpoints" } ], "components": { "parameters": { "CardIDpath": { "name": "cardId", "in": "path", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true }, "TokenIDpath": { "name": "tokenId", "in": "path", "schema": { "type": "string" }, "description": "Token ID", "required": true } }, "schemas": { "AccountID": { "type": "number", "description": "Pismo account ID", "example": 8675309 }, "CardID": { "type": "number", "description": "Card ID", "example": 6743052 }, "ErrorObject": { "type": "object", "description": "Standard error object", "properties": { "error_code": { "type": "string", "description": "Error code" }, "message": { "type": "string", "description": "Error message" } } }, "NetworkDetails": { "type": "object", "description": "Dynamic data that varies according to network" }, "OrgID": { "type": "string", "description": "Pismo organiztion/tenant ID", "example": "TN-ddce7e50-0485-49ec-a910-866dff0bfd0f" }, "PaymentAppInstanceID": { "type": "string", "description": "Payment app instance ID" }, "ProgramID": { "type": "string", "description": "Pismo program ID", "example": "8675" }, "TokenID": { "type": "string", "description": "Pismo token ID", "example": "412" }, "TokenInfoCardTokenResponse": { "type": "object", "properties": { "token": { "$ref": "#/components/schemas/TokenObject" }, "token_id": { "$ref": "#/components/schemas/TokenID" }, "card_id": { "$ref": "#/components/schemas/CardID" }, "wallet_id": { "$ref": "#/components/schemas/WalletID" }, "account_id": { "$ref": "#/components/schemas/AccountID" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "org_id": { "$ref": "#/components/schemas/OrgID" }, "payment_app_instance_id": { "$ref": "#/components/schemas/PaymentAppInstanceID" }, "tracking_id": { "$ref": "#/components/schemas/TrackingID" }, "status": { "$ref": "#/components/schemas/TokenStatus" }, "network_data": { "$ref": "#/components/schemas/NetworkDetails" } } }, "TokenObject": { "type": "object", "properties": { "key": { "type": "object", "properties": { "token_ref": { "type": "string", "description": "Identifies the token on the network.", "example": "PISMOMOCK000007767550841" }, "pan_ref": { "type": "string", "description": "PAN reference - identifies the card on the network.", "example": "V-2271272911360823654091" }, "payment_network": { "type": "string", "description": "Payment network - `vts` (VISA) or `mdes` (Mastercard)", "enum": [ "vts", "mdes" ], "example": "mdes" } } } } }, "TokenStatus": { "type": "string", "description": "Token status", "enum": [ "ACTIVE", "SUSPENDED", "DEACTIVATED", "INACTIVE" ], "example": "ACTIVE" }, "TrackingID": { "type": "string", "description": "Tracking ID" }, "WalletID": { "type": "string", "description": "Wallet ID. Identifies the wallet (Samsung Pay, Google Pay, and so on) on the network.", "example": "ANDROID_PAY" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a \"**401 Unauthorized**\" error.", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorObject" }, "examples": { "example-1": { "value": { "error_code": "ERR93836", "message": "Card profile can't be null" } } } } } }, "401Unauthorized": { "description": "Access token is missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorObject" }, "examples": { "example-1": { "value": { "error_code": "ERR9786", "message": "Access token is missing or invalid" } } } } } }, "500InternalServerError": { "description": "Internal Server Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorObject" }, "examples": { "example-1": { "value": { "error_code": "ERR5446", "message": "Internal server error" } } } } } } } }, "security": [ { "BearerAuth": [] } ], "paths": { "/v1/cards/{cardId}/network-tokens/{tokenId}": { "parameters": [ { "$ref": "#/components/parameters/CardIDpath" }, { "$ref": "#/components/parameters/TokenIDpath" } ], "get": { "summary": "Get token information", "description": "Gets token information given a card ID and token ID in the path.\n\n**Notes**: \n * This is a PCI endpoint, use the https://gw-pci.pismolabs.io/cards-tokenization environment.\n * This endpoint takes an account token - an access token encoded with a Pismo account ID.\n", "operationId": "gettokeninfo", "tags": [ "Token lifecycle" ], "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TokenInfoCardTokenResponse" }, "examples": { "mastercard": { "summary": "Example Mastercard response", "value": { "token": { "key": { "token_ref": "PISMOMOCK481138760dec4cf8ad407deeff4d8a3d", "pan_ref": "PISMOMOCK00000c790c134701d4ba48c9dc3003ba433c8", "payment_network": "mdes" } }, "token_id": "1011781234", "card_id": 90241234, "wallet_id": "216", "account_id": 183701234, "program_id": "4321", "org_id": "TN-d9abe1c7-f6b4-4b0a-b796-d3b512341234", "payment_app_instance_id": "PISMOMOCKK3XvRHPjIDWFZErHEDytVg2MPJ6P7OM4JUq", "tracking_id": "D0000203850882", "status": "ACTIVE", "updated_at": "2024-05-10T16:40:20-03:00", "devices": [ { "device_id": "12345", "device_index": 1 } ], "network_data": { "AccountPanSequenceNumber": "000", "CorrelationId": "D0000203851234", "CurrentStatusCode": "D", "CurrentStatusDateTime": "2024-07-01T15:52:39-05:00", "CurrentStatusDescription": "Deleted", "Device": { "DeviceType": "21" }, "DigitizationRequestDateTime": "2024-07-01T15:18:09-05:00", "ExpirationDate": "0827", "FinalTokenizationDecision": "A", "LastCommentId": "676521782", "PaymentAppInstanceId": "PISMOMOCKRRS8ZK3XvRHPjIDWFZErHEDytVg2MPJ6P7OM4JUq", "PrimaryAccountNumberUniqueReference": "PISMOMOCK0000000c790c134701d4ba48c9dc3003ba433c8", "ProvisioningStatusCode": "S", "ProvisioningStatusDescription": "Provisioning successful", "Source": "ACCOUNT_ADDED_VIA_APPLICATION", "StorageTechnology": "D", "Suspenders": {}, "TokenActivatedDateTime": "2024-07-01T15:18:31-05:00", "TokenDeletedFromConsumerApp": "false", "TokenRequestorId": "50120834693", "TokenRequestorName": "GOOGLE", "TokenSuffix": "5740", "TokenType": "C", "TokenUniqueReference": "DSHRMC1BR0000000481138760dec4cf8ad407dee12345678", "WalletId": "216" } } }, "visa": { "summary": "Example VISA response", "value": { "token": { "key": { "token_ref": "DNITHE302414169012345678", "pan_ref": "V-3024135706614812345678", "payment_network": "vts" } }, "token_id": "1011781234", "card_id": 71291234, "wallet_id": "40000000045", "account_id": 127021234, "program_id": "11234", "org_id": "TN-542d1ef4-ed10-4be2-a4e1-4ac123456789", "payment_app_instance_id": "", "tracking_id": "", "status": "ACTIVE", "network_data": { "panReferenceID": "V-3024135706614812345678", "entityOfLastAction": "TOKEN_REQUESTOR", "walletAccountEmailAddressHash": "PISMOMOCK6849994E08CADB975A95565C14F86FEE9792907B13A7D7332402988", "clientWalletAccountID": "40000000045", "panSource": "KEY_ENTERED", "lastFourOfPAN": "6893", "tokenInfo": { "token": "123456789", "tokenType": "CARD_ON_FILE", "tokenStatus": "ACTIVE", "tokenExpirationDate": { "month": "4", "year": "2029" } }, "tokenAssuranceMethod": "10", "lastTokenStatusUpdatedTime": "2024-05-22T19:38:24.000Z", "deviceInfo": {}, "riskInfo": {} } } } } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```